#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "UObject/NoExportTypes.h"
#include "AssetNetIdRow.generated.h"

USTRUCT(BlueprintType)
struct FAssetNetIdRow : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 NetId;

	UPROPERTY(EditAnywhere)
	FSoftObjectPath AssetPath;

public:
	NETWORKUTILITIES_API FAssetNetIdRow();
};

FORCEINLINE uint32 GetTypeHash(const FAssetNetIdRow) { return 0; }
